Package org.jboss.resteasy.specimpl

## Class LinkImpl

- java.lang.Object
- - javax.ws.rs.core.Link
  - - org.jboss.resteasy.specimpl.LinkImpl

-     public class LinkImpl
      extends javax.ws.rs.core.Link

  Version:
    $Revision: 1 $
  Author:
    Bill Burke

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class javax.ws.rs.core.Link

      `javax.ws.rs.core.Link.Builder, javax.ws.rs.core.Link.JaxbAdapter, javax.ws.rs.core.Link.JaxbLink`

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected static javax.ws.rs.ext.RuntimeDelegate.HeaderDelegate<javax.ws.rs.core.Link>` | `delegate` |
    `protected Map<String,​String>` | `map` | A map for all the link parameters such as "rel", "type", etc.
    `protected URI` | `uri` |

    - ### Fields inherited from class javax.ws.rs.core.Link

      `REL, TITLE, TYPE`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `equals​(Object other)` |
    `Map<String,​String>` | `getParams()` |
    `String` | `getRel()` |
    `List<String>` | `getRels()` |
    `String` | `getTitle()` |
    `String` | `getType()` |
    `URI` | `getUri()` |
    `javax.ws.rs.core.UriBuilder` | `getUriBuilder()` |
    `int` | `hashCode()` |
    `String` | `toString()` |
    `static javax.ws.rs.core.Link` | `valueOf​(String value)` |

    - ### Methods inherited from class javax.ws.rs.core.Link

      `fromLink, fromMethod, fromPath, fromResource, fromUri, fromUri, fromUriBuilder`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### uri

          protected final URI uri

    - #### map

          protected final Map<String,​String> map

      A map for all the link parameters such as "rel", "type", etc.

    - #### delegate

          protected static final javax.ws.rs.ext.RuntimeDelegate.HeaderDelegate<javax.ws.rs.core.Link> delegate

  - ### Method Detail

    - #### valueOf

          public static javax.ws.rs.core.Link valueOf​(String value)

    - #### getUri

          public URI getUri()

      Specified by:
        `getUri` in class `javax.ws.rs.core.Link`

    - #### getUriBuilder

          public javax.ws.rs.core.UriBuilder getUriBuilder()

      Specified by:
        `getUriBuilder` in class `javax.ws.rs.core.Link`

    - #### getRel

          public String getRel()

      Specified by:
        `getRel` in class `javax.ws.rs.core.Link`

    - #### getRels

          public List<String> getRels()

      Specified by:
        `getRels` in class `javax.ws.rs.core.Link`

    - #### getTitle

          public String getTitle()

      Specified by:
        `getTitle` in class `javax.ws.rs.core.Link`

    - #### getType

          public String getType()

      Specified by:
        `getType` in class `javax.ws.rs.core.Link`

    - #### getParams

          public Map<String,​String> getParams()

      Specified by:
        `getParams` in class `javax.ws.rs.core.Link`

    - #### equals

          public boolean equals​(Object other)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### toString

          public String toString()

      Specified by:
        `toString` in class `javax.ws.rs.core.Link`